<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Pengajuan Penangguhan </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
<!--                                <h3 class="mb-0">Data List</h3>-->
<!--                                <a th:href="@{/studentBill/requestCicilan/rekap}" class="btn btn-info btn-sm"><i class="ni ni-book-bookmark"></i> Rekap</a>-->
                                <a class="btn btn-success btn-sm text-white" data-toggle="modal" data-target="#modal-import"><i class="fas fa-download"></i> Download Report</a>

                                <div class="modal fade" id="modal-import" tabindex="-1" role="dialog" aria-labelledby="modal-form" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered modal-sm" role="document">
                                        <div class="modal-content">
                                            <div class="modal-body">
                                                <div class="card shadow border-0">
                                                    <div class="card-body px-lg-5 py-lg-5">
                                                        <div class="text-center">
                                                            <form method="get" th:action="@{/penangguhan/download}">
                                                                <div class="row">
                                                                    <div class="col-md-12">
                                                                        <div class="form-group">
                                                                            <label>Tahun Akademik</label>
                                                                            <select name="tahun" required class="form-control">
                                                                                <option value=""></option>
                                                                                <option th:each="data : ${tahunAkademik}"
                                                                                        th:selected="(${data} == *{selectTahun})"
                                                                                        th:text="${data.namaTahunAkademik}"
                                                                                        th:value="${data.id}">STEI TAZKIA</option>
                                                                            </select>
                                                                        </div>
                                                                        <div class="form-group">
                                                                            <button class="btn btn-primary" type="submit">Import</button>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col text-right">
                                <form method="get">
                                    <div class="input-group mb-3">
                                        <input type="text" name="search" class="form-control" placeholder="Search" th:value="${search}">
                                        <div class="input-group-append">
                                            <button class="btn btn-info" type="submit"><i class="fas fa-search"></i> Search</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <div class="table-responsive">
                        <table class="table align-items-center table-flush">
                            <thead class="thead-light">
                            <tr>
                                <th>#</th>
                                <th>Nim</th>
                                <th>Nama</th>
                                <th>Tagihan</th>
                                <th>Tahun Akademik</th>
                                <th>Tanggal Pengajuan</th>
                                <th>Tanggal Penangguhan</th>
                                <th>Status</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="data,row : ${listPenangguhan}">
                                <td th:text="${(row.index + 1) + (listPenangguhan.number * listPenangguhan.size)}">1</td>
                                <td th:text="${data.tagihan.mahasiswa.nim}"></td>
                                <td th:text="${data.tagihan.mahasiswa.nama}"></td>
                                <td th:text="${data.tagihan.nilaiJenisTagihan.jenisTagihan.nama}"></td>
                                <td th:text="${data.tagihan.tahunAkademik.namaTahunAkademik}"></td>
                                <td th:text="${data.tanggalPengajuan}"></td>
                                <td th:text="${data.tanggalPenangguhan}">PATRICK STAR</td>
                                <td th:if="${data.statusApprove.WAITING} == ${data.statusApprove} "><a href="#!" th:text="${data.statusApprove}" class="btn btn-primary btn-sm">WAITING</a></td>
                                <td th:if="${data.statusApprove.REJECTED} == ${data.statusApprove}"><a href="#!" th:text="${data.statusApprove}" class="btn btn-danger btn-sm">REJECT</a></td>
                                <td th:if="${data.statusApprove.APPROVED} == ${data.statusApprove}"><a href="#!" th:text="${data.statusApprove}" class="btn btn-success btn-sm">APPROVED</a></td>
                                <td>
                                    <a th:if="${data.statusApprove.WAITING} == ${data.statusApprove}" th:href="@{/studentBill/requestPenangguhan/approval(id = ${data.id}, tagihan = ${data.tagihan.id})}" class="btn btn-info btn-sm">Approval</a>
                                    <a th:if="${data.statusApprove.APPROVED} == ${data.statusApprove}" th:href="@{/studentBill/requestPenangguhan/approval(id = ${data.id}, tagihan = ${data.tagihan.id})}" class="btn btn-info btn-sm">Cek</a>

<!--                                    <button type="button" class="btn btn-danger btn-sm" data-toggle="modal" th:data-target="${'#modal-notification' + data.id}">-->
<!--                                        <i class="fas fa-trash"></i>-->
<!--                                    </button>-->
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="card-footer py-4">
                        <nav aria-label="...">
                            <ul class="pagination justify-content-end mb-0" sd:pagination="full">
                                <li class="disabled"><a href="#" aria-label="Previous"><span
                                        aria-hidden="true">&laquo;</span></a>
                                </li>
                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                </li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>